com.h3c.util.perf.model

## Class Latency

- java.lang.Object
- - com.h3c.util.perf.model.Latency

-     public class Latency
      extends Object

  A dataobject to encapsulate latency information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Latency()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAvgLatency()` Gets the value of the avgLatency property.
    `long` | `getLastLatency()` Gets the value of the lastLatency property.
    `long` | `getMaxLatency()` Gets the value of the maxLatency property.
    `long` | `getMinLatency()` Gets the value of the minLatency property.
    `void` | `setAvgLatency(long value)` Sets the value of the avgLatency property.
    `void` | `setLastLatency(long value)` Sets the value of the lastLatency property.
    `void` | `setMaxLatency(long value)` Sets the value of the maxLatency property.
    `void` | `setMinLatency(long value)` Sets the value of the minLatency property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Latency

          public Latency()

  - ### Method Detail

    - #### getMinLatency

          public long getMinLatency()

      Gets the value of the minLatency property.
      Returns:
        min latency

    - #### setMinLatency

          public void setMinLatency(long value)

      Sets the value of the minLatency property.
      Parameters:
        `value` - min latency

    - #### getAvgLatency

          public long getAvgLatency()

      Gets the value of the avgLatency property.
      Returns:
        average latency

    - #### setAvgLatency

          public void setAvgLatency(long value)

      Sets the value of the avgLatency property.
      Parameters:
        `value` - average latency

    - #### getMaxLatency

          public long getMaxLatency()

      Gets the value of the maxLatency property.
      Returns:
        max latency

    - #### setMaxLatency

          public void setMaxLatency(long value)

      Sets the value of the maxLatency property.
      Parameters:
        `value` - max latency

    - #### getLastLatency

          public long getLastLatency()

      Gets the value of the lastLatency property.
      Returns:
        last latency

    - #### setLastLatency

          public void setLastLatency(long value)

      Sets the value of the lastLatency property.
      Parameters:
        `value` - last latency

Copyright © 2014. All Rights Reserved.